// var locationUrl = 'http://tytest.szsmk.com/jeecg-boot/jeecgNFC/cardEntranceJson'; //接口地址
var locationUrl = 'http://zhzf.szsmk.com/szsmkprod/jeecgNFC/cardEntranceJson'; //正式地址
//保留到小数点后两位
function toDecimal2(x) {
	var s = x.toString();
	var rs = s.indexOf('.');
	if (rs < 0) {
		rs = s.length;
		s += '.';
	}
	while (s.length <= rs + 2) {
		s += '0';
	}
	return s;
}

function int2hexlen2(params) {
	var hex = params.toString(16)
	var hexLen = hex.length
	for (let index = 0; index < 2 - hexLen; index++) {
		hex = '0' + hex
	}
	return hex.toUpperCase()
}

function int2hexlen8(params) {
	var i = parseInt(params)
	var hex = i.toString(16)
	var hexLen = hex.length
	for (let index = 0; index < 8 - hexLen; index++) {
		hex = '0' + hex
	}
	return hex.toUpperCase()
}

function strToHexCharCode(str) {
	if (str === "")
		return "";
	var hexCharCode = [];
	hexCharCode.push("0x");
	for (var i = 0; i < str.length; i++) {
		hexCharCode.push((str.charCodeAt(i)).toString(16));
	}
	return hexCharCode.join("");
}

function hexCharCodeToStr(hexCharCodeStr) {
	var trimedStr = hexCharCodeStr.trim();
	var rawStr =
		trimedStr.substr(0, 2).toLowerCase() === "0x" ?
		trimedStr.substr(2) :
		trimedStr;
	var len = rawStr.length;
	if (len % 2 !== 0) {
		console.log("Illegal Format ASCII Code!");
		return "";
	}
	var curCharCode;
	var resultStr = [];
	for (var i = 0; i < len; i = i + 2) {
		curCharCode = parseInt(rawStr.substr(i, 2), 16); // ASCII Code Value
		resultStr.push(String.fromCharCode(curCharCode));
	}
	return resultStr.join("");
}
//加密
//DES ECB模式加密
function encryptByDESModeEBC(key, message) {
	var message1 = strToHexCharCode(message);
	var keyHex = CryptoJS.enc.Hex.parse(key);
	var messageT = CryptoJS.enc.Hex.parse(message1);
	var encrypted = CryptoJS.TripleDES.encrypt(messageT, keyHex, {
		mode: CryptoJS.mode.ECB,
		padding: CryptoJS.pad.Pkcs7
	});
	var result_value = encrypted.ciphertext.toString(CryptoJS.enc.Hex);

	return result_value;
}

//DES  ECB模式解密
function decryptByDESModeEBC(key, ciphertext) {
	var keyHex = CryptoJS.enc.Hex.parse(key);
	var decrypted = CryptoJS.TripleDES.decrypt({
		ciphertext: CryptoJS.enc.Hex.parse(ciphertext)
	}, keyHex, {
		mode: CryptoJS.mode.ECB,
		padding: CryptoJS.pad.NoPadding
	});
	var result_value = decrypted.toString(CryptoJS.enc.Hex);
	return hexCharCodeToStr(result_value);
}

function formateDate(a, b) { //格式化日期
	var oldTime = a + ' ' + b
	var time = new Date(oldTime)
	var year = time.getFullYear();
	var month = time.getMonth() + 1;
	var day = time.getDate();
	var hour = time.getHours();
	var min = time.getMinutes();
	return year + '年' + month + '月' + day + '日' + ' ' + hour + ':' + min;
}

function formateDate2(a) { //格式化日期
	var year = a.substring(0, 4);
	var month = a.substring(4, 6);
	var day = a.substring(6, 8);
	var hour = a.substring(8, 10);
	var min = a.substring(10, 12);
	return year + '年' + month + '月' + day + '日';
}

function formateDate3(a) { //格式化日期
	var year = a.substring(0, 4);
	var month = a.substring(4, 6);
	var day = a.substring(6, 8);
	var hour = a.substring(8, 10);
	var min = a.substring(10, 12);
	var sec = a.substring(12, 14);
	return year + '年' + month + '月' + day + '日' + ' ' + hour + ':' + min + ':' + sec;
}

function formateDate4(a) { //格式化日期
	var year = a.substring(0, 4);
	var month = a.substring(4, 6);
	var day = a.substring(6, 8);
	return year + '-' + month + '-' + day;
}


function yanzheng(a) { //验证规则     不能连续的2个空格  不能出现？号
	a = a.replace(/\s\s\s*/g, ' ');
	a = a.replace(/\?/g, '');
	return a;
}

//根据param获取url中的值，中文需用encodeURIComponent(name)编码
function getQueryParam(name) {
	var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
	var r = window.location.search.substr(1).match(reg);
	if (r != null)
		return decodeURIComponent(r[2]); //url传值中文解码，避免乱码
	return null;
}

function checkNumLetter(str) { //只能输入数字和字母
	return /^[\da-z]+$/i.test(str);
}

function sendRequest(requestData, callback) {
	if (typeof(requestData) === 'string'){
	} else {
		requestData = JSON.stringify(requestData)
	}
	requestData = tyJs2Android.encryptData(requestData)
	let axiosConfig = {
	  headers: {
	      'Content-Type': 'application/json;charset=UTF-8',
	      "Access-Control-Allow-Origin": "*"
	  },
	  timeout: 5000
	};
	// 添加请求拦截器
	axios.interceptors.request.use(function (config) {
	    // 在发送请求之前做些什么
	    return config;
	  }, function (error) {
	    // 对请求错误做些什么
	    return Promise.reject(error);
	  });
	  // 添加响应拦截器
	  axios.interceptors.response.use(function (response) {
	      // 对响应数据做点什么
	      return response;
	    }, function (error) {
	      // 对响应错误做点什么
	      return Promise.reject(error);
	    });
	axios.post(locationUrl, {
			source: requestData
		}, axiosConfig)
		.then(function(res) {
			let jsonStr = tyJs2Android.decryptData(res.data)
			console.log(jsonStr)
			let data = JSON.parse(jsonStr)
			if (data.returnCode == '0000') {
				callback(data)
			} else {
				tyJs2Android.dismissLoading()
				tyJs2Android.showToast(data.resultMsg)
			}
		}).catch(function(res) {
			console.log(res)
			tyJs2Android.dismissLoading()
			if (res.response) {
				if (res.response.status == 500) {
					tyJs2Android.showToast('请求服务器错误')
				} else if (res.response.status == 404) {
					tyJs2Android.showToast('找不到服务器')
				} else {
					tyJs2Android.showToast('请求失败')
				}
			} else {
				
				tyJs2Android.showToast('网络异常，请检查网络')
			}
		});
}
