package com.kilo.bean;

import android.content.Context;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;

import com.kilo.ecs.LogLevel;

/**
 * @author chifengliang
 *
 */
public class LogBean
{
    /**
     * 注册返回的session
     */
    public static String SESSION;
    
    /**
     * 序列号
     */
    public static int BEANCOUNT;
    
    public static SharedPreferences SP = null;
    
    public int seq;
    /**
     * 时间戳
     */
    public float time;
    
    /**
     * 时间戳对应的时间
     */
    public String timeStr;
    
    /**
     * 日志内容
     */
    public String msg;
    /**
     * 日志文件名
     */
    public String className;
    /**
     * 日志行号
     */
    public int line;
    /**
     * 级别
     */
    public LogLevel level;
    /**
     * 日志方法名
     */
    public String func;
    
    /**
     * 
     */
    public String tag;
    
    public void increment()
    {
        
    }
    
    public static void INIT_SEQ(Context context)
    {
        SP = context.getSharedPreferences("log_seq", Context.MODE_PRIVATE);
        BEANCOUNT = SP.getInt("log_seq", 0);
        
    }
    public static void SET_SEQ_SP(int val)
    {
        if (null == SP)
        {
            return;
        }
        Editor editor = SP.edit();
        editor.putInt("log_seq", val);
        editor.commit();
    }
    @Override
    public String toString()
    {
        StringBuffer sb = new StringBuffer(timeStr);
        sb.append(' ')
        .append('[').append(tag).append(']').append(' ')
        .append('[').append(level.toString()).append(']').append(' ')
        .append(Thread.currentThread().getName())
        .append('{').append(Thread.currentThread().getId()).append('}').append(' ')
        .append(func).append(' ').append(msg).append("\n");
        return sb.toString();
    }
    
}
